SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPARREC_CUSTOMER_CONTACT';
	l_code VARCHAR2(100):=UPPER('&1');

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
      from   hz_org_contacts hoc,
             hz_party_sites hps,
             hr_organization_units a
      where  hoc.party_site_id = hps.party_site_id
      and    exists (select * 
                     from   chz_parties cp
                     where  cp.s_business_group_id = a.business_group_id
			         and    cp.party_id = hps.party_id)
	  and 	 upper(a.name) = l_code;
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_HZ_ORG_CONTACTS;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
